Package helma.util

# Class WrappedMap

java.lang.Object
helma.util.WrappedMap

All Implemented Interfaces:
  `Map`

Direct Known Subclasses:
  `CopyOnWriteMap`

public class WrappedMap extends Object implements Map
A Map that wraps another map. We use this class to be able to wrap maps as native objects within a scripting engine rather than exposing them through Java reflection. Additionally, instances of this class can be set to readonly so that the original map can't be modified.

## Nested Class Summary

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,V extends Object>`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`readonly`
`protected Map`
`wrapped`

## Constructor Summary

Constructors
Constructor
Description
`WrappedMap(Map map)`
Constructor
`WrappedMap(Map map, boolean readonly)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`boolean`
`containsKey(Object key)`
`boolean`
`containsValue(Object value)`
`Set`
`entrySet()`
`boolean`
`equals(Object o)`
`Object`
`get(Object key)`
`int`
`hashCode()`
`boolean`
`isEmpty()`
`boolean`
`isReadonly()`
Is this map readonly?
`Set`
`keySet()`
`Object`
`put(Object key, Object value)`
`void`
`putAll(Map t)`
`Object`
`remove(Object key)`
`void`
`setReadonly(boolean readonly)`
Set the readonly flag on or off
`int`
`size()`
`String`
`toString()`
`Collection`
`values()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

## Field Details

### wrapped

protected Map wrapped

### readonly

protected boolean readonly

## Constructor Details

### WrappedMap

public WrappedMap(Map map)
Constructor

### WrappedMap

public WrappedMap(Map map, boolean readonly)
Constructor

## Method Details

### setReadonly

public void setReadonly(boolean readonly)
Set the readonly flag on or off

### isReadonly

public boolean isReadonly()
Is this map readonly?

### size

public int size()

Specified by:
  `size` in interface `Map`

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map`

### containsKey

public boolean containsKey(Object key)

Specified by:
  `containsKey` in interface `Map`

### containsValue

public boolean containsValue(Object value)

Specified by:
  `containsValue` in interface `Map`

### get

public Object get(Object key)

Specified by:
  `get` in interface `Map`

### put

public Object put(Object key, Object value)

Specified by:
  `put` in interface `Map`

### remove

public Object remove(Object key)

Specified by:
  `remove` in interface `Map`

### putAll

public void putAll(Map t)

Specified by:
  `putAll` in interface `Map`

### clear

public void clear()

Specified by:
  `clear` in interface `Map`

### keySet

public Set keySet()

Specified by:
  `keySet` in interface `Map`

### values

public Collection values()

Specified by:
  `values` in interface `Map`

### entrySet

public Set entrySet()

Specified by:
  `entrySet` in interface `Map`

### equals

public boolean equals(Object o)

Specified by:
  `equals` in interface `Map`
Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `Map`
Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`